#'
#' Piotr Sobczyk, PWr
#' 
#' Najłatwiej jest korzystać z shiny w IDE RStudio.
#' Więcej informacji o shiny na stronie http://shiny.rstudio.com/
#

library(shiny)
library(RMySQL)

mydb = dbConnect(MySQL(), user='user', password='password', dbname='actors', host='127.0.0.1')

# Define server logic
shinyServer(function(input, output) {
   
	movies <- reactive({
		zapytanie <- paste0("SELECT title, description, release_year, rating, film_id FROM
films WHERE release_year BETWEEN ", input$year[1], " AND ", input$year[2],
" AND rental_rate BETWEEN ", input$rental[1], " AND ", input$rental[2])
		if(input$rating!="All") 
			zapytanie <- paste0(zapytanie, " AND rating='", input$rating, "'")
		if(input$actor!="") 
			zapytanie <- paste0("SELECT title, description, release_year, rating, GROUP_CONCAT(actors.last_name SEPARATOR ', ') as `actor last name` FROM (",
							 zapytanie, ") t INNER JOIN film_actors ON t.film_id=film_actors.film_id ",
			"INNER JOIN actors ON film_actors.actor_id = actors.actor_id ",
			"WHERE actors.last_name LIKE '%", input$actor, "%' ", 
			"GROUP BY title;")
		try({query = dbSendQuery(mydb, zapytanie); query_res = fetch(query, n = -1)},
				silent = TRUE)
		query_res
	})
	
	output$table <- DT::renderDataTable({
		DT::datatable(movies())
	})
  
})
