#'
#' Piotr Sobczyk, PWr
#' 
#' To jest przykładowy interfejs graficzny z bazą danych
#' Napisany w shiny

library(shiny)
library(RMySQL)
library(DT)

mydb = dbConnect(MySQL(), user='user', password='password', dbname='actors', host='127.0.0.1')
zapytanie <- paste0("SELECT DISTINCT rating FROM films;")
query = dbSendQuery(mydb, zapytanie)
rating_levels = fetch(query, n = -1)
dbDisconnect(mydb)

shinyUI(
  fluidPage(
  	# Tytuł aplikacji
  	titlePanel("Wypożyczalnia filmów"),
  	
  	# Create a new Row in the UI for selectInputs
  	fluidRow(
  		column(3,
  					 selectInput("rating",
  					 						"Rating:",
  					 						c("All", unique(as.character(rating_levels$rating))))
  		),
  		column(3,
  					 sliderInput("year", "Year released", 2000, 2014, value = c(2004, 2014))
  		),
  		column(3,
  					 sliderInput("rental", "Rental rate", 0, 6, value = c(2,4))
  		),
  		column(3,
  					 textInput("actor", "Actor name", value = "")
  		)
  	),
  	# Create a new row for the table.
  	fluidRow(
  		DT::dataTableOutput("table")
  	)
  )
  
)
